# ccb
## 服务器配置
```js
// 安装venv
python3 -m venv venv
// 启动venv
. venv/bin/activate
// 升级pip
pip install --upgrade pip
// 安装flask...
pip install Flask
pip install gunicorn
pip install pymongo
pip install flask_cors
// 设置全局变量
export FLASK_APP=ccb.py
export FLASK_ENV=development
// 启动临时服务
flask run --host=127.0.0.1 -p 5005
// 启动永久服务
gunicorn ccb:app -c gunicorn.conf.py
// 查看已启动服务
pstree -ap|grep gunicorn
// 关闭某服务
kill (pid)
//关闭venv
deactivate 

//pi
cd data/ccb/backEnd
. venv/bin/activate
pstree -ap|grep gunicorn
```

## 错误代码一览
* 200：成功
* /login
  * 用户登录或者注册
  * 100：校验失败
  * 101：用户不存在
  * 102：user_info获取失败
  * 103：新用户插入失败
  * 104: 签名失败
  * 105: 用户未激活，未重新发送邮件
  * 106：密码错误
  * 107：注册成功，验证码已下发
  * 108：用户未激活，已重新发送邮件
* /activation
  * 接受开启账户的uuid
  * 400：校验失败
  * 401: active用户不存在
  * 402: active覆写失败
  * 403：签名失败
  * 404：用户不存在
  * 405：user_info获取失败
  * 406：该用户已经激活过了
  * 407：验证码非本人所有
* /download
  * 更新到本地
  * 500：校验失败
  * 501：签名失败
  * 502：密码错误
  * 101：用户不存在
  * 102：user_info获取失败
* /upload
  * 上传到云端
  * 300：校验失败
  * 301：codebook用户不存在
  * 302：codebook覆写失败
  * 303：密码错误
  * 304：签名失败
  * 101：用户不存在
  * 102：user_info获取失败
# 功能总结
* 注册/登录
  * 用户发来邮箱地址和密码（密码加密一下）
  * 前后端校验
  * 如果注册过，就返回200
    * 前端收到了codebook就把用户密码加密的存起来
    * 之后就可以免登录刷新
  * 如果没注册过就给那个邮箱发验证邮件，内容是uuid，同时放进数据库里 内容为 mail_addr codebook is_active uuid update_time password
  * 上传
  * 下载